<?php
return array(

    /* konfigurasi service manager, belum digunakan */
    'service_manager' => array(
        'abstract_factories' => array(
            'Zend\Cache\Service\StorageCacheAbstractServiceFactory',
            'Zend\Log\LoggerAbstractServiceFactory',
        ),
        'aliases' => array(
            'translator' => 'MvcTranslator',
        ),
    ),

    /* konfigurasi translator bahasa */
    'translator' => array(
        'locale' => 'en_US',
        'translation_file_patterns' => array(
            array(
                'type' => 'gettext',
                'base_dir' => __DIR__ . '/../language', /* lokasi file-file bahasa */
                'pattern' => '%s.mo',
            ),
        ),
    ),

    /* konfigurasi view manager */
    'view_manager' => array(
        'display_not_found_reason' => true,
        'display_exceptions' => true,
        'doctype' => 'HTML5',
        'not_found_template' => 'error/404',
        'exception_template' => 'error/index',
        'template_map' => array(
            'error/404' => __DIR__ . '/../../view/error/404.phtml',
            'error/index' => __DIR__ . '/../../view/error/index.phtml',
        ),
        'template_path_stack' => array(
            __DIR__ . '/../../view',
        ),
    ),

    /* PHP config -- bisa digunakan untuk konfigurasi php.ini ini_set() */
    'php' => array(
        'display_errors' => true,
        'error_reporting' => E_ALL,
    ),

    /* konfigurasi aplikasi */
    'application' => array(
        'config' => 'internal',
    ),

    /* konfigurasi spesifik aplikasi */
    'internal' => array(

        /* db config */
        'databases' => array(
            'primary' => array(
                'driver' => 'Pdo',
                'host' => '103.16.198.40',
                'username' => 'hrmis',
                'password' => 'Neuron$Hrmis2016',
                'schema' => 'doorv2_dev',
                'schemas' => array(
                    '\\' => 'doorv2_dev'
                ),
            ),
            'secondary' => array(
                'driver' => 'Oci8',
                'host' => 'public.neuron.id',
                'port' => 1521,
                'username' => 'neuron',
                'password' => 'neuron',
                'schema' => 'neuron',
                'schemas' => array(
                    '\\' => 'neuron',
                ),
            ),
        ), //db

        /* table mapping */
        'tables' => array(
            'config' => 'zlib_config',
            'users' => 'act_users',
            'user_status'=>'act_user_statuses',

            'access_grant_types' => 'acc_access_grant_types',
            'access_grants' => 'acc_access_grants',
            'access_object_types' => 'acc_access_object_types',
            'access_objects' => 'acc_access_objects',
            'access_permissions' => 'acc_access_permissions',
            'access_roles' => 'acc_access_roles',
            'sessions' => 'acc_sessions',

            'person' => 'person',
            'person_type' => 'person_type',
            'person_status' => 'person_status',
            'person_detail' => 'person_detail',
            'person_education' => 'person_education',
            'person_experiences' => 'person_experiences',
            'person_family' => 'person_family',
            'person_medical' => 'person_medical_history',
            'person_parameters' => 'person_parameters',
            'person_user_map' => 'person_user_map',
            'person_map' => 'person_user_map',
            'person_attribute_types' => 'person_attribute_types',
            'person_attributes' => 'person_attributes',
            
            'contact' => 'contact',
            'contact_type' => 'contact_type',
            'contact_reference' => 'contact_reference',
            'contact_detail' => 'contact_detail',
            'contact_relation' => 'contact_relation',
            'contact_relation_type' => 'contact_relation_type',
            'address' => 'address',
            'city' => 'addr_city',
            'country' => 'addr_country',
            'province' => 'addr_province',
            'provinceCity' => 'addr_province_cities'
        ),
        'api_url' => array(
            'mapper' => "http://employee.local/api/map/load-by-user-id",
            'emp_detail' => "http://employee.local/employee/api/empDetail",
            'person_contact' => "http://contact.local/api/contact/personContact",
        ),
        'session'=> array(
            'regenerate' => false,
            'strict' => false,
            'gc_maxlifetime' => 43200,
            'cookie_lifetime' => 2592000,
            'remember' => 2592000
        ),
        'user' => array(
            'commands' => array(
                /* sample command icon
                array(
                    'url' => '/actor/form/test',
                    'icon' => 'fa-circle',
                ),
                */
            ),
            'languages' => array(
                'id' => 'Bahasa',
                'en' => 'English',
            ),
            'authentications' => array(
                1 => 'Database',
                2 => 'LDAP',
                3 => 'Token',
            ),
            'facebook' => array(
                'id' => '234448563876370',
                'secret' => '24e20fe570391c88f50d315885048342',
            ),
            'google' => array(
                'web' => array(
                    'client_id' => '763713885521-3i82ogutctr9siir02l0ip9e2ijqm2hh.apps.googleusercontent.com',
                    'project_id' => 'neuron-library',
                    'auth_uri' => 'https://accounts.google.com/o/oauth2/auth',
                    'token_uri' => 'https://www.googleapis.com/oauth2/v3/token',
                    'auth_provider_x509_cert_url' => 'https://www.googleapis.com/oauth2/v1/certs',
                    'client_secret' => 'wLyYR1YS1wolr3J25f58JMDM',
                    'redirect_uris' => array(
                        'http://localhost/git/actor/sample/public/index/google-verify'
                    )
                )
            ),
            'activation' => 'none',
            'unique' => 'code, email',
            'password' => array(
                'autogenerate' => false,
                'hash' => 'password_hash', // jenis hash
                'encrypted' => false, // sudah diencrypt dari depan atau belum
                'stored' => 0,   // jumlah password terakhir yang disimpan
                'age_min' => 0,  // umur minimum password dalam hari
                'age_max' => 999999, // umur maksimum password dalam hari
                'length' => 6,   // minimum panjang password dalam karakter
                'complex' => false,
                /*             |uppercase      |lowercase       |digit      |special char                |nousername| regex utama       |len */
                'format' => '/^(?=[^A-Z]*[A-Z])(?=[^a-z]*[a-z])(?=[^\d]*\d)(?=[^!@#$%^&*()]*[!@#$%^&*()])|nousername|[a-zA-Z\d!@#$%^&*()]{0,}$/',
                'format_info' => 'Password harus mengandung minimal masing-masing 1 karakter uppercase, lowercase, angka, simbol dan tidak boleh mengandung code user',
            ),
            'attempts' => 0,
        ),
    ),
);