<?php
namespace Neuron\Person\Controller;

use Neuron\Person\Controller;

class Form extends Controller{
    protected function getView($name, $variables = array()) {

		/* default layout & view prefix */
		$layout = 'neuron/person/layout/form';
		$prefix = 'neuron/person/form';

		/* libraries */
		if(! class_exists('Neuron\Application\Framework\Entity')) {
			$this->using('jquery', null)
                ->using('popper', null)
                ->using('bootstrap', null)
                ->using('fontawesome', null);
		}

		/* get layout n view prefix from config */
		$config = $this->getConfig();
		if (isset($config['person'])) {
			$config = $config['person'];
			$layout = isset($config['formlayout']) ? $config['formlayout'] : $layout;
			$prefix = isset($config['viewprefix']) ? $config['viewprefix'] : $prefix;
		}


		$this->using('nAlert',999999);

		/* set layout and view */
		$libs['Contact'] = class_exists('Neuron\Contact\Controller\Contact');
		$libs['Organization'] = class_exists('Neuron\Organization\Controller\Organization');
		$libs['Payroll'] = class_exists('Neuron\Payroll\Controller\Payroll');
		$variables['libs'] = $libs;

		$this->layout($layout);
		$view = new \Zend\View\Model\ViewModel($variables);
		$view->setTemplate($prefix . '/' . strtolower($name));

		return $view;
	}
    public function indexAction(){
        return $this->getView('index');
    }

	public function createAction(){
		$statuses 	= new Statuses(Status\Storage::factory(
			$this->getDb(),
			$this->getConfig()
		));
		$types 		= new Types(Type\Storage::factory(
			$this->getDb(),
			$this->getConfig()
		));
		$statuses 	= $statuses->load();
		$types 		= $types->load(); 
		
		$this->using('air-datepicker');
			
        return $this->getView('create',[
			'statuses' => $statuses->data['list'],
			'types' 	=> $types->data['list']
		]);
	}
}