<?php
namespace Neuron\Person\Controller\Widget;

use Neuron\Access\Session;

class Medical extends \Neuron\Person\Controller {

	public function onDispatch(\Zend\Mvc\MvcEvent $e) {

		$d = parent::onDispatch($e);  //INI HARUS DIPANGGIL!!!!
		$this->layout()->setTemplate('neuron/person/layout/plain');

		return $d;
	}

	protected function getViewPartial($name, $variables = array()) {
		$prefix = 'neuron/person/medical';

		$config = $this->getConfig();
		if (isset($config['person'])) {
			$config = $config['person'];
			$prefix = isset($config['viewprefix']) ? $config['viewprefix'] : $prefix;
		}

		$view = new \Zend\View\Model\ViewModel($variables);
		$view->setTemplate($prefix . '/' . strtolower($name)); // path to phtml file under view folder
		return $view;
	}

	public function formAction()
	{
        $this->getSession()->get();
		$post = $this->getPostParams();
        $id = $post['id'];
        $person_id = $post['person_id'];
        $meddata = array();
        $title = "Create Medical History";

        $storage = \Neuron\Person\Parameter\Storage::factory($this->getDb(), $this->getConfig());
        $cpar = new \Neuron\Person\Parameters($storage);

        $post = $this->getPostParams();
        $arr = $cpar->listparam($post['param_ref_name']);
        $listtype = array();

        if ($arr) {
            foreach ($arr as $data) {
                $data['value1'] = $this->translate($data['value1']);
                if($data['param_ref_name'] == 'MEDICAL_TYPE'){
                    array_push($listtype, $data);
                }
            }
        }
        if($id){
            $storage = \Neuron\Person\Medical\Storage::factory($this->getDb(), $this->getConfig());
			$cmed = new \Neuron\Person\Medical($storage);
            $title = "Edit Medical History";
            if ($cmed->load($id))  {
                $meddata = $cmed->pull();
            }
        }
		return $this->getViewPartial('crud', get_defined_vars());
	}
    
}